# Get a checkout rate quote

Retrieve a previously calculated rate quote, including the destination it was calculated for and the rates that were returned.

> Note: Quotes are retained for a limited time. A request for an expired or unknown quote_id returns 404 Not Found.

Endpoint: GET /v1/checkout_rates/quotes/{quote_id}
Version: 1.1.202604070904
Security: api_key

## Path parameters:

  - `quote_id` (string, required)
    The unique identifier of a previously calculated rate quote.

## Response 200 fields (application/json):

  - `config_id` (string)
    The configuration the rate was calculated against.
    Example: "a1b2c3d4-e5f6-7890-abcd-ef1234567890"

  - `quote` (object)
    The rate returned for this quote, including its quote_id.

  - `quote.quote_id` (string)
    The unique identifier of this rate's quote. Use it to retrieve the quote later with [Get a checkout rate quote](#operation/get_checkout_rates_quote).
    Example: "f1a2b3c4-d5e6-7890-abcd-ef1234567890"

  - `quote.option_id` (integer)
    The identifier of the delivery option this rate was produced for.
    Example: 100001

  - `quote.option_name` (string)
    The display name of the delivery option.
    Example: "Standard Shipping"

  - `quote.type` (string)
    The delivery option type this rate corresponds to (for example, live_rate or free).
    Enum: "live_rate", "flat_rate", "free", "local_delivery"

  - `quote.carrier_id` (string,null)
    The carrier this rate is for. null for options without a carrier (for example, free).
    Example: "se-1234567"

  - `quote.service_code` (string,null)
    The carrier service this rate is for. null for options without a carrier service.
    Example: "usps_priority_mail"

  - `quote.final_amount` (number)
    The price shown to the buyer after fees or fallbacks are applied.
    Example: 10.69

  - `quote.currency` (string)
    The currency of final_amount.
    Example: "USD"

  - `quote.estimated_delivery_days` (integer,null)
    The estimated number of days in transit, when available.
    Example: 2

  - `quote.estimated_delivery_date` (string,null)
    The estimated delivery date, when available.
    Example: "2026-06-26T00:00:00Z"

  - `created_at` (string)
    When the quote was calculated.
    Example: "2026-06-24T10:00:00Z"

## Response 404 fields (application/json):

  - `request_id` (string, required)
    A UUID that uniquely identifies the request id.
This can be given to the support team to help debug non-trivial issues that may occur
    Example: "aa3d8e8e-462b-4476-9618-72db7f7b7009"

  - `errors` (array, required)
    The errors associated with the failed API call

  - `errors.error_source` (string, required)
    The source of the error, as indicated by the name this informs us if the API call failed because of the
carrier, the order source, or the ShipEngine API itself.
    Enum: "carrier", "order_source", "shipengine"

  - `errors.error_type` (string, required)
    The type of error
    Enum: "account_status", "business_rules", "validation", "security", "system", "integrations"

  - `errors.error_code` (string, required)
    The error code specified for the failed API Call
    Enum: "auto_fund_not_supported", "batch_cannot_be_modified", "carrier_conflict", "carrier_disconnected", "carrier_not_connected", "carrier_not_supported", "confirmation_not_supported", "default_warehouse_cannot_be_deleted", "field_conflict", "field_value_required", "forbidden", "identifier_conflict", "identifiers_must_match", "insufficient_funds", "invalid_address", "invalid_billing_plan", "invalid_field_value", "invalid_identifier", "invalid_status", "invalid_string_length", "label_images_not_supported", "meter_failure", "order_source_not_active", "rate_limit_exceeded", "refresh_not_supported", "request_body_required", "return_label_not_supported", "settings_not_supported", "subscription_inactive", "terms_not_accepted", "tracking_not_supported", "trial_expired", "unauthorized", "unknown", "unspecified", "verification_failure", "warehouse_conflict", "webhook_event_type_conflict", "customs_items_required", "incompatible_paired_labels", "invalid_charge_event", "invalid_object", "no_rates_returned", "file_not_found", "shipping_rule_not_found", "service_not_determined", "no_rates_returned", "funding_source_registration_in_progress", "insurance_failure", "funding_source_missing_configuration", "funding_source_error", "freight_connection_inactive", "freight_provider_id_required", "freight_provider_already_connected", "freight_shipment_not_found", "freight_tracking_not_available", "freight_tracking_not_found", "freight_shipment_not_batchable"

  - `errors.message` (string, required)
    An error message associated with the failed API call
    Example: "Body of request cannot be null."

  - `errors.carrier_id` (string)
    A string that uniquely identifies the carrier that generated the error.
    Example: "se-28529731"

  - `errors.carrier_code` (string)
    The name of the shipping carrier that generated the error, such as fedex, dhl_express, stamps_com, etc.
    Example: "dhl_express"

  - `errors.field_name` (string)
    The name of the field that caused the error
    Example: "shipment.ship_to.phone_number"


